# Translate a page

Creates a new translated version of a single page using the Stream API.

Endpoint: POST /api/v1/pages/{pageId}/translate
Version: v1
Security: Bearer

## Security:

  - `Bearer` (unknown)
    http Bearer

## Path parameters:

  - `pageId` (string, required)
    The identifier of the page.

## Query parameters:

  - `siteId` (string)
    The site identifier.

  - `environmentId` (string)
    The identifier of the environment.

## Request body:

  - `application/json, text/json, application/*+json` (unknown)
    The input model.

## Request fields (application/json):

  - `sourceLanguage` (string, required)
    Source language
Example value: en
    Example: en

  - `targetLanguage` (string, required)
    Target language
Example value: ja-JP
    Example: ja-JP

  - `translationStrategy` (string, required)
    Specifies the strategy to use when translating: add a new version or skip if a version exists.
    Enum: "AddVersion", "SkipIfExists"

## Response 200:

  - `200` (unknown)
    Success

## Response 400:

  - `400` (unknown)
    Bad request

## Response 400 fields (application/json):

  - `type` (string)
    The type of the error response entity.

  - `title` (string)
    The title of the error response entity.

  - `status` (integer)
    The response status code.

  - `detail` (string)
    A detailed explanation, specific to this occurrence of the problem.

  - `instance` (string)
    If available, a URI reference that identifies the specific occurrence of the problem.

## Response 404:

  - `404` (unknown)
    Not found

## Response 404 fields (application/json):

  - `type` (string)
    The type of the error response entity.

  - `title` (string)
    The title of the error response entity.

  - `status` (integer)
    The response status code.

  - `detail` (string)
    A detailed explanation, specific to this occurrence of the problem.

  - `instance` (string)
    If available, a URI reference that identifies the specific occurrence of the problem.

